using System;
using Microsoft.EntityFrameworkCore.Migrations;

namespace YGNT.QuestionLibrary.Migrations
{
    public partial class addModificationAudited : Migration
    {
        protected override void Up(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.AddColumn<DateTime>(
                name: "CreationTime",
                table: "QuestionResolves",
                nullable: false,
                defaultValue: new DateTime(1, 1, 1, 0, 0, 0, 0, DateTimeKind.Unspecified));

            migrationBuilder.AddColumn<bool>(
                name: "IsModified",
                table: "QuestionResolves",
                nullable: false,
                defaultValue: false);

            migrationBuilder.AddColumn<DateTime>(
                name: "LastModificationTime",
                table: "QuestionResolves",
                nullable: true);

            migrationBuilder.AddColumn<long>(
                name: "LastModifierUserId",
                table: "QuestionResolves",
                nullable: true);
        }

        protected override void Down(MigrationBuilder migrationBuilder)
        {
            migrationBuilder.DropColumn(
                name: "CreationTime",
                table: "QuestionResolves");

            migrationBuilder.DropColumn(
                name: "IsModified",
                table: "QuestionResolves");

            migrationBuilder.DropColumn(
                name: "LastModificationTime",
                table: "QuestionResolves");

            migrationBuilder.DropColumn(
                name: "LastModifierUserId",
                table: "QuestionResolves");
        }
    }
}
